Name:           squirrelsh
Summary:        A cross-platform alternative to system shell 
Version:        1.2.7
Release:        %mkrel 2
Source0:        http://switch.dl.sourceforge.net/project/squirrelsh/Squirrel%20Shell/%{version}/%{name}-%{version}-src.tar.bz2
Source1:        squirrel.xml
URL:            http://squirrelsh.sourceforge.net/
Patch0:         %{name}-configure.patch
Patch1:         %{name}-configure-mime_in.patch
Patch2:         %{name}-configure-ldflags.patch
Patch3:         %{name}-configure-remove-forced-abi.patch
Group:          Shells
License:        GPLv3 

BuildRequires:  libpcre-devel
Requires:       grep

%description
Squirrel Shell is a cross-platform alternative to system shells like 
sh in Unix-like systems and cmd.exe (command.com) in Microsoft® Windows®. 
It is based on Squirrel scripting language which has these features:
. object-oriented programming;
. C++-like syntax;
. dynamic typing;
. delegation;
. generators;
. exception handling;
. weak references;
. more on http://www.squirrel-lang.org. 
Cross-platform nature of Squirrel Shell lets users write one script and use 
it everywhere instead of writing several scripts for doing the same thing, 
but in different OSes. Since Squirrel is a generic scripting language, this 
gives users more power as they aren't limited to functionality, specific to 
some dedicated purpose. 

%prep 
%setup -q 
%patch0 -p1 -b .configure
%patch1 -p1 -b .configuremimein
%patch2 -p1 -b .configureldflags
%patch3 -p1 -b .removeforcedabi

%build
%setup_compile_flags
%_configure --prefix=%{_prefix} --mime-buildroot=%{buildroot}
%make

%install
rm -rf %{buildroot}
%makeinstall_std
rm -f doc/%name.1 doc/%name.tex
rm -f %{buildroot}%{_sysconfdir}/mime.types
install -m755 -d -D %{buildroot}%{_datadir}/apps/katepart/syntax
install -m644 %{S:1} %{buildroot}%{_datadir}/apps/katepart/syntax/
install -m755 -d -D %{buildroot}%{_datadir}/doc/%{name}/examples
install -m755 examples/* %{buildroot}%{_datadir}/doc/%{name}/examples/

%find_lang %{name}

%files -f %{name}.lang
%{_bindir}/squirrelsh
%{_mandir}/man1/*
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/magic

%package syntax
Summary:     Syntax definition file for Kate (version >= 2.3)
Requires:    katepart
Requires:    %{name} = %{version}
Suggests:    kate

%description syntax
Syntax definition file for Kate (version >= 2.3)

%files syntax
%{_datadir}/apps/katepart/syntax/squirrel.xml

%package doc
Summary:    Documentation package for squirrelsh

%description doc
Squirrel Shell is a cross-platform alternative to system shells like
sh in Unix-like systems and cmd.exe (command.com) in Microsoft® Windows®.
It is based on Squirrel scripting language.

This package contains documentation files and example files for squirrelsh

%files doc
%{_datadir}/doc/%{name}/*

%post
# adding mime type for squirrelsh scripts
echo -e "application/x-squirrelshscript\t\tnut" >> %{_sysconfdir}/mime.types

%postun
# remove mime type that belongs to squirrelsh package
# sed leave an empty line after the replacement
#%__sed -i 's|application/x-squirrelshscript[[:space:]]*nut||g' %{_sysconfdir}/mime.types
cat %{_sysconfdir}/mime.types | egrep -v 'application\/x-squirrelshscript' > %{_sysconfdir}/mime.types.new
mv %{_sysconfdir}/mime.types.new %{_sysconfdir}/mime.types


%changelog
* Mon Oct 21 2013 umeabot <umeabot> 1.2.7-2.mga4
+ Revision: 539485
- Mageia 4 Mass Rebuild

* Sun Oct 06 2013 anaselli <anaselli> 1.2.7-1.mga4
+ Revision: 492257
- New version 1.2.7

* Mon Jan 14 2013 umeabot <umeabot> 1.2.6-3.mga3
+ Revision: 382606
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Dec 11 2012 matteo <matteo> 1.2.6-2.mga3
+ Revision: 329754
- added patch to resolve compiling issues with gcc-4.7

* Wed May 16 2012 matteo <matteo> 1.2.6-1.mga2
+ Revision: 235810
- fixed configure to respect ldflags
- fixed configure to remove forced abi
- created doc subpackage
- moved pdf doc files to the doc subpackage
- fixed license
- new version

* Sun Nov 27 2011 matteo <matteo> 1.2.5-2.mga2
+ Revision: 172900
- release value increased
- added kate syntax file
- fixed /etc/mime.types conflict; fixed squirrelsh-configure-mime_in.patch
- updated squirrelsh.spec
- fixed squirrelsh-configure.patch
- imported package squirrelsh


* Mon May 04 2011 Matteo Pasotti <pasotti.matteo@gmail.com> 1.2.5-1
- created patch squirrel-configure.patch 

* Mon May 04 2011 Matteo Pasotti <pasotti.matteo@gmail.com> 1.2.5-1
- create spec 

